source: pkg/vinnie/main/libgnomekbd/trunk/debian/changelog @ 6657

Revision 6657, 7.1 KB checked in by alanbach-guest, 4 years ago (diff)
  • Try to build 2.30.1
Line 
1libgnomekbd (1:2.30.1-parsix1) unstable; urgency=low
2
3  * Sync'd with Debian 2.30.1-2
4
5 -- Alan Baghumian <alan@technotux.org>  Sat, 03 Jul 2010 12:56:48 -0700
6
7libgnomekbd (2.30.1-2) unstable; urgency=low
8
9  * 02_layout_crash.patch: stolen upstream. Fixes a crasher caused by an
10    unitialized value. Hopefully closes: #580228.
11
12 -- Josselin Mouette <joss@debian.org>  Wed, 05 May 2010 19:02:02 +0200
13
14libgnomekbd (2.30.1-1) unstable; urgency=low
15
16  * New upstream bugfix release:
17    + debian/patches/02_fontsize_schema.patch:
18      - Dropped, merged upstream.
19
20 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Apr 2010 06:22:54 +0200
21
22libgnomekbd (2.30.0-1) unstable; urgency=low
23
24  * New upstream release.
25  * 10_gsd_crash.patch: dropped, merged upstream.
26  * 02_fontsize_schema.patch: new patch. Set a default for the font
27    size, to avoid warnings upon installation and at runtime.
28
29 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:00:33 +0200
30
31libgnomekbd (2.29.92-1) experimental; urgency=low
32
33  * New upstream release candidate.
34  * Bump shlibs version.
35  * Bump libxklavier dependency.
36  * Drop D-Bus dependencies.
37  * 01_requires_private.patch: updated for the new version.
38  * 10_gsd_crash.patch: stolen upstream. Avoid a crasher.
39
40 -- Josselin Mouette <joss@debian.org>  Sun, 28 Mar 2010 11:02:15 +0200
41
42libgnomekbd (2.28.2-1) unstable; urgency=low
43
44  * New upstream bugfix release.
45
46 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:47:46 +0100
47
48libgnomekbd (2.28.0-2) unstable; urgency=low
49
50  * Upload to unstable.
51    - debian/rules: Remove check-dist.mk.
52
53 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 19:39:54 +0200
54
55libgnomekbd (2.28.0-1) experimental; urgency=low
56
57  [ Emilio Pozuelo Monfort ]
58  * Add a watch file.
59
60  [ Josselin Mouette ]
61  * Depend on iso-codes. Closes: #407795.
62
63  [ Emilio Pozuelo Monfort ]
64  * New upstream release.
65    - debian/control.in:
66      + Build depend and depend on libxklavier-dev >= 4.0, stop build
67        depending on libglade2-dev.
68      + Let libgnomekbd-dev depend on ${misc:Depends}.
69    - debian/control.in,
70      debian/libgnomekbd4.install,
71      debian/libgnomekbd3.install:
72      + Rename libgnomekdbd3 to libgnomekbd4 for the new SONAME.
73  * Standards-Version is 3.8.3, no changes needed.
74  * debian/rules: Include check-dist.mk to avoid uploads to unstable.
75
76 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 08 Oct 2009 12:32:02 +0200
77
78libgnomekbd (2.26.0-1) unstable; urgency=low
79
80  * New upstream release.
81  * 02_xkbcrap_crash.patch: removed, merged upstream.
82
83 -- Josselin Mouette <joss@debian.org>  Sat, 27 Jun 2009 16:53:59 +0200
84
85libgnomekbd (2.24.0-3) unstable; urgency=low
86
87  * 02_xkbcrap_crash.patch: new patch. Fix crashes of gkb applet and
88    gnome-screensaver (makes it unusable) when the XKB configuration is
89    botched.
90
91 -- Josselin Mouette <joss@debian.org>  Fri, 10 Apr 2009 23:30:58 +0200
92
93libgnomekbd (2.24.0-2) unstable; urgency=low
94
95  * Upload to unstable.
96  * Standards version is 3.8.1.
97
98 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 08:37:20 +0200
99
100libgnomekbd (2.24.0-1) experimental; urgency=low
101
102  * New upstream release.
103  * Rename library package to libgnomekbd3.
104  * Relax dependencies on libgnomekbd-common.
105  * Set section of the source package to gnome.
106  * Update build-dependencies and dependencies for the new versions.
107  * Drop the libgnomekbdui packages, they don’t make sense now the
108    libgnome dependency has gone.
109  * Standards version is 3.8.0.
110  * Introduce quilt for patch management; build-depend on quilt.
111  * 01_requires_private.patch: new patch. Move dependencies to
112    Requires.private.
113  * libgnomekbd-dev conflicts/replaces/provides libgnomekbdui-dev.
114
115 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 17:45:55 +0100
116
117libgnomekbd (2.22.0-1) unstable; urgency=low
118
119  * New upstream stable release:
120    + debian/gkbd-capplet.install:
121      - Remove icon path, the icon was removed and it uses a standard one now.
122  * Upload to unstable.
123
124 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Mar 2008 23:28:06 +0100
125
126libgnomekbd (2.21.4.1-2) experimental; urgency=low
127
128  * debian/control.in:
129    + Fix libgconf2-dev dependency.
130
131 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:54:44 +0100
132
133libgnomekbd (2.21.4.1-1) experimental; urgency=low
134
135  * New upstream release:
136    + debian/control.in:
137      - Update build dependencies and dependencies.
138    + Update to new soname.
139    + debian/gkbd-capplet.install:
140      - Ship icon.
141
142 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:38:54 +0100
143
144libgnomekbd (2.20.0-3) unstable; urgency=low
145
146  * debian/control.in:
147    + Let the -dev package depend on libxklavier12-dev too.
148
149 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:54:16 +0100
150
151libgnomekbd (2.20.0-2) unstable; urgency=low
152
153  * debian/control.in:
154    + Rebuild against libxklavier12-dev and build depend on
155      libxklavier12-dev | libxklavier-dev.
156    + Update Standards-Version to 3.7.3, no additional changes needed.
157
158 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:41:29 +0100
159
160libgnomekbd (2.20.0-1) unstable; urgency=low
161
162  * New upstream release, no API changes:
163    + debian/control.in:
164      - Build depend on intltool.
165
166 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 12:52:54 +0200
167
168libgnomekbd (2.18.2-1) unstable; urgency=low
169
170  * New upstream release; bug fixes and translations; no API change.
171
172 -- Loic Minier <lool@dooz.org>  Tue, 22 May 2007 13:39:14 +0200
173
174libgnomekbd (2.18.1-2) unstable; urgency=low
175
176  * Upload to unstable.
177  * Pass --as-needed to ld.
178  * Add get-orig-source target, require gnome-pkg-tools >= 0.10.
179  * Install the gconf schema in libgnomekbd-common
180
181 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Apr 2007 07:55:41 +0200
182
183libgnomekbd (2.18.1-1) experimental; urgency=low
184
185  * New upstream release; no API change.
186
187 -- Loic Minier <lool@dooz.org>  Mon, 09 Apr 2007 08:51:22 +0200
188
189libgnomekbd (2.18.0-1) experimental; urgency=low
190
191  * New upstream release; no api changes
192
193 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 26 Mar 2007 17:49:14 +0200
194
195libgnomekbd (2.17.2-3) experimental; urgency=low
196
197  * Rewrite package descriptions.
198  * Set myself as Maintainer, GNOME team as Uploaders; build-depend on
199    gnome-pkg-tools.
200  * Make package bin NMU safe: use ${binary:Version} and ${source:Version} and
201    build-depend on dpkg-dev >= 1.13.19.
202  * Wrap build-deps and deps.
203  * Drop etc/gconf from libgnomekbd-common.install.
204  * Clean up debian/gkbd-capplet.install.
205  * Update copyright information.
206  * Include CDBS's utils.
207  * Build-depend and depend on libxklavier11-dev instead of libxklavier-dev.
208  * Initial upload to Debian; closes: #411029.
209
210 -- Loic Minier <lool@dooz.org>  Thu, 15 Feb 2007 16:56:45 +0100
211
212libgnomekbd (2.17.2-2) feisty; urgency=low
213
214  * debian/control:
215    - libgnomekbd-dev Depends on libgnomevfs2-dev, libgtk2.0-dev,
216      libxklavier-dev, libgnomekbdui-dev Depends on libgnomekbd-dev,
217      libgnomecanvas2-dev, libgnome-keyring-dev
218
219 -- Sebastien Bacher <seb128@canonical.com>  Sun,  7 Jan 2007 11:42:43 +0100
220
221libgnomekbd (2.17.2-1) feisty; urgency=low
222
223  * First upload
224
225 -- Sebastien Bacher <seb128@canonical.com>  Thu, 16 Nov 2006 12:57:31 -0800
226
Note: See TracBrowser for help on using the repository browser.